<< hurst | FOSSEE_Signal_Processing_Toolbox | idct1 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > icceps

# icceps

Compute the inverse cepstrum of a real-valued input signal.

### Syntax

    inv_ceps = icceps(input, remv_samp)

### Parameters

input:

  Real-valued input signal.

remv_samp:

  (optional) Number of samples of delay to be removed. Default is 0.

### Description

ICCEPS computes the inverse cepstrum of a real-valued input signal. The resulting spectrum will be complex in nature.

### Examples

    xhat = [2.2428, -0.0420, -0.0210, 0.0045, 0.0366, 0.0788, 0.1386, 0.2327, 0.4114, 0.9249]
    icc = icceps(xhat, 2)
    round(icc)

Report an issue
<< hurst | FOSSEE_Signal_Processing_Toolbox | idct1 >>